import * as types from "../constants/actionTypes";

const initState = {
	list: [],
	isFetchng: false,
	error: null,
	initialValues: {},
	editObject: {},
	addObject: {}
};

export default (state = initState, { type, payload, meta }) => {
	switch (type) {
		case types.ADD_TO_LIST: {
			const list = state.list.concat({ ...payload, id: new Date().getTime(), load: state.loads });

			return { ...state, list };
		}

		case types.ADD_LOADS: {
			const newDateInput = { id: new Date().getTime(), name: "" };

			return { ...state, loads: state.loads.concat(newDateInput) };
		}

		case types.GET_INIT_VAL: {
			const initialValues = state.list.filter(el => el.id === payload)[0];

			return { ...state, initialValues };
		}
		case types.EDIT_LOADS: {
			const list = state.list.map(el => (el.id === payload.id ? payload : el));

			return { ...state, list };
		}

		// case "@@redux-form/CHANGE": {
		// 	if (meta.form === "editLoads") {
		// 		console.log("meta", meta);
		// 		return {
		// 			...state,
		// 			editObject: {
		// 				...state.editObject,
		// 				[meta.field]: payload
		// 			}
		// 		};
		// 	}
		// 	return state;
		// }

		case types.GET_LOADS: {
			return { ...state, isFetchng: true };
		}
		case types.GET_LOADS_SUCCESS: {
			const { data } = payload;

			const list = Object.keys(data).reduce((prev, el) => {
				return prev.concat({ ...data[el], id: el });
			}, []);
			return { ...state, isFetchng: false, list };
		}
		case types.GET_LOADS_FAIL: {
			return { ...state, isFetchng: false, error: payload };
		}

		case types.POST_LOADS: {
			return { ...state, isFetchng: true, addObject: payload };
		}
		case types.POST_LOADS_SUCCESS: {
			const { data } = payload;
			const newObject = { ...state.addObject, id: data.name };

			return { ...state, isFetchng: false, list: state.list.concat(newObject) };
		}
		case types.POST_LOADS_FAIL: {
			return { ...state, isFetchng: false, error: payload };
		}

		case types.EDIT_LOADS_REQUEST: {
			return { ...state, isFetchng: true };
		}
		case types.EDIT_LOADS_REQUEST_SUCCESS: {
			const { data } = payload;

			const list = state.list.map(el => (el.id === data.id ? data : el));

			console.log(list);

			return { ...state, isFetchng: false, list };
		}
		case types.EDIT_LOADS_REQUEST_FAIL: {
			return { ...state, isFetchng: false, error: payload };
		}

		default:
			return state;
	}
};
