import * as types from "../constants/actionTypes";

const initState = {
	city: "",
	weather: null,
	isFetching: false,
	error: null
};

export default (state = initState, { type, payload }) => {
	switch (type) {
		case types.WEATHER_REQUEST: {
			return {
				...state,
				isFetching: true
			};
		}
		case types.WEATHER_REQUEST_SUCCESS: {
			const { channel } = payload.query.results;
			return {
				...state,
				isFetching: false,
				weather: channel
			};
		}
		case types.WEATHER_REQUEST_FAIL: {
			return {
				...state,
				isFetching: false,
				error: "ERROR"
			};
		}
		case types.TAKE_INPUT_VALUE: {
			return {
				...state,
				city: payload
			};
		}

		default:
			return state;
	}
};
