import React, { Component } from "react";
import { reduxForm, Field } from "redux-form";
import PropTypes from "prop-types";

import { renderField } from "../common/formFunc";
import { authValidate } from "../../utils/validate";

class Form extends Component {
	static contextTypes = {
		auth: PropTypes.func
	};

	submit = values => {
		const { auth } = this.context;
		auth(values);
	};

	render() {
		const { handleSubmit } = this.props;
		return (
			<form className="auth__form" onSubmit={handleSubmit(this.submit)}>
				<Field name="email" type="email" label="E-mail" component={renderField} />

				<Field name="password" type="password" label="Password" component={renderField} />

				<button className="auth__submit-button">Submit</button>
			</form>
		);
	}
}

export default reduxForm({ form: "authForm", validate: authValidate })(Form);
