import React from "react";
import { Button, Icon } from "antd";

export default ({ list, openEditModal }) => (
	<div className="list">
		{list.map(el => (
			<div key={el.id} className="list__item">
				<div className="list__info">
					<div className="list__address">
						<span className="list__origin">{el.origin}</span>
						<Icon type="arrow-right" />
						<span className="list__destination">{el.destination}</span>
					</div>
					<div className="list__driver">
						<span className="list__driver-name">Контактное лицо: {el.contactName}</span>
						<span className="list__driver-night">Тип рейса: {el.night ? "Ночьной" : "Дневной"}</span>
						<span className="list__driver-body">Тип кузова: {el.bodyType}</span>
					</div>
				</div>
				<div className="list__buttons">
					<Button size="small" type="primary" onClick={openEditModal.bind(null, el.id)}>
						<Icon type="edit" />
					</Button>
					<Button size="small" type="danger">
						<Icon type="close" />
					</Button>
				</div>
			</div>
		))}
	</div>
);
