import React from "react";
import { Route, Redirect } from "react-router-dom";

const PrivateRoute = ({ component: Component, ...rest }) => (
	<Route
		{...rest}
		render={props => {
			const user = JSON.parse(localStorage.getItem("user"));
			if (!user) {
				return <Redirect to="/auth" />;
			} else {
				return <Component {...props} />;
			}
		}}
	/>
);

export default PrivateRoute;
