import React from "react";
import { Switch, Route } from "react-router-dom";
import App from "./container/App";
import FetchPage from "./container/fetchPage";
import Auth from "./container/Auth";

import Header from "./components/header";

import PrivateRoute from "./privateRouter";

export default () => (
	<div className="container">
		<Header />
		<Switch>
			<PrivateRoute path="/" exact component={App} />
			<Route path="/auth" render={props => <Auth name="Tony" {...props} />} />
			<Route exact path="/fetch" component={FetchPage} />
		</Switch>
	</div>
);
