import { delay } from "redux-saga";
import { call, put } from "redux-saga/effects";
import * as actions from "../../actions/auth";
import { USER } from "../../constants/actionTypes";

import comprassion from "../../utils/comrassion";

export default function* auth({ payload }) {
	try {
		const res = yield call(comprassion, payload, USER);

		if (res) {
			localStorage.setItem("user", JSON.stringify(payload));
		}

		yield call(delay, 5000);
		yield put(actions.authSuccess(res));
	} catch (e) {
		yield put(actions.authFail(e.response));
	}
}
