import axios from "axios";
import { call, put } from "redux-saga/effects";
import * as actions from "../../actions/todo";

export default function* editLoadsRequest({ payload }) {
	try {
		const res = yield call(axios, {
			url: `https://first-fly.firebaseio.com/loads/${payload.id}.json`,
			method: "PUT",
			headers: {
				"content-type": "application/json"
			},
			data: payload
		});

		yield put(actions.editLoadsRequestSuccess(res));
	} catch (e) {
		yield put(actions.editLoadsRequestFail(e.response));
	}
}
