import { createStore, applyMiddleware } from "redux";
import thunk from "redux-thunk";
import createSagaMiddleware from "redux-saga";
// import logger from "redux-logger";

import saga from "../saga";
import reducers from "../Reducers";
import initialState from "./initialState";

const sagaMiddleware = createSagaMiddleware();

const log = state => next => action => {
	console.log("PrevState", state.getState());
	next(action);
	console.log("action", action);
	console.log("nextState", state.getState());
};

const store = createStore(
	reducers,
	initialState,
	// applyMiddleware(thunk, logger)
	applyMiddleware(thunk, sagaMiddleware, log)
);

sagaMiddleware.run(saga);

export default store;
